/******************************************************************************
  AH_CRMContentRequestor C'tor

    Parameters:
        [in] source
        [in] version
        [in] os
        [in] handleCRMContent

******************************************************************************/
function AH_CRMContentRequestor( source,
                                 version,
                                 os,
                                 handleCRMContent )
{
    try
    {
        EXT_extend( this, new CH_AsyncRequestorBase( handleCRMContent, function( statusMessage ) { EX_Log( statusMessage ); }, MSG_GetCRMContentResponse ) );

        this.Start = function( accountNumber, uString, uriStem, webServerName )
        {
            try
            {
                var requestMessage = new MSG_GetCRMContentRequest( source, version, os, accountNumber, uString );

                if ( webServerName == null || webServerName.length == 0 )
                {
                    webServerName = VM_URL.m_protocol + "//" + VM_URL.m_wxThirdLevelName;
                }

                var primaryURL   = webServerName + "." + VM_URL.m_primaryDomainName + uriStem;
                var secondaryURL = webServerName + "." + VM_URL.m_backupDomainName + uriStem;

                this.m_asyncRequest.Start( primaryURL,
                                           secondaryURL,
                                           requestMessage );
            }
            catch ( e )
            {
                EX_ASSERT_NO_EXCEPTIONS( e, 'AH_CRMContentRequestor::Start( )' );
            }
        };
    }
    catch ( e )
    {
        EX_ASSERT_NO_EXCEPTIONS( e, 'AH_CRMContentRequestor::AH_CRMContentRequestor( )' );
    }
}
